#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-DSA
Summary:	Crypt::OpenSSL::DSA - Digital Signature Algorithm using OpenSSL
Summary(pl.UTF-8):	Crypt::OpenSSL::DSA - algorytm DSA używający OpenSSL
Name:		perl-Crypt-OpenSSL-DSA
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	61d06e8fe9c12e96743989ff13c7ea73
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-DSA/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::DSA implements the DSA (Digital Signature Algorithm)
signature verification system.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::DSA jest implementacją systemu weryfikacji
podpisów DSA (Digital Signature Algorithm).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

##### were disabled - some of tests fail randomly ?
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/DSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA
%{perl_vendorarch}/auto/Crypt/OpenSSL/DSA/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-DSA.git;a=log;h=master

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> f5e57ad
- up to 0.14

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0a6aea2
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> f81802d
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 3a3b18a
- release 7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea51218
- release 6

* Fri May 14 2010 sparky <sparky@pld-linux.org> e9139bf
- BR: openssl-tools, which

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e998f6
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 8ecf33c
- release 4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> bd64de4
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> d8a25fe
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 95596e3
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2e9093f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fa6c394
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 269b81e
- converted to UTF-8

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> 1718232
- up to 0.13 rel 1 builds here

* Tue Jun 14 2005 petec <petec@pld-linux.org> 9f0df4d
- up to 0.12

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 351fb5e
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 13b1427
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7c4b6ef
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 6f4ca65
- fixed perl-devel BR

